:root {
    --efv-blau: #3c99ce;
    --efv-gelb: #ffe100;
    --ui: #185ca4;
}

@viewport {  
    orientation: portrait;  
}  

@font-face {
    font-family: oswald;
    src: url(../assets/fonts/Oswald-Regular.ttf);
  }

@font-face {
    font-family: xenoa;
    src: url(../assets/fonts/GraffitiXenoa-Regular.otf);
}

@font-face {
    font-family: graff;
    src: url(../assets/fonts/GraffTales-Regular.ttf);
}

/*Animationen*/

@keyframes separator-width {
    0% {
      width: 0;
    }
    100% {
      width: 80%;
    }
}

@keyframes separator-height {
    0% {
        height: 0;
    }
    100% {
        height: 80%;
    }
}

/*navigation + ham-bar CSS*/

.mobile-header {
    display: flex !important;
    background-color: var(--ui) !important;
    z-index: 9999;
    position: fixed;
    top: 0;
    width: 100%;
}

.ham-menu {
    cursor: pointer;
    margin-top: 15px;
    margin-left: 15px;
}

.ham-bar {
    display: block;
    width: 40px;
    height: 3px;
    margin: 9px auto;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    background: rgb(255, 255, 255) !important;
}

.ham-menu.active .ham-bar:nth-child(2) {
    opacity: 0;
}

.ham-menu.active .ham-bar:nth-child(1) {
    transform: translateY(12px) rotate(45deg);
    background: var(--ui) !important;
}

.ham-menu.active .ham-bar:nth-child(3) {
    transform: translateY(-12px) rotate(-45deg);
    background: var(--ui) !important;
}

.nav-menu {
    display: flex;
    position: fixed;
    left: -100%;
    top: 0;
    padding: 1rem 0;
    margin-top: -3%;
    padding-top: 3rem;
    gap: 0;
    flex-direction: column;
    background-color: rgb(255, 255, 255) !important;
    width: 100%;
    height: 100%;
    text-align: center;
    transition: 0.3s;
}

.nav-menu img {
    width: 5vh;
}

.nav-item {
    margin: 8px 0;
    transition: all .2s ease-in-out;
    text-align: left;
}

.nav-item a {
    color: var(--ui);
    font-weight: 600;
    font-size: 150%;
    text-decoration: none;
    font-family: oswald;
    text-align: left;
    margin-left: 50%;
}

.nav-menu:first-child {
    padding-top: 10vh;
}

.nav-menu.active {
    left: -30%;
    top: 12px;
}

.credit-display {
    
}

.credit-grid {
    display: grid;
    width: 50%;
    margin-left: 50%;
    text-align: left;
    grid-template-columns: 30% 70%;
}

.credit-grid img {
    display: block;
}

#credits {
    font-family: oswald;
    color: var(--ui);
    font-size: 150%;
    font-weight: 600;
    text-align: left;
    margin-right: 5%;
    transform: translateY(-1.5rem);
}

/*main*/

html, body {
    margin: 0;
    padding: 0;
    height: 100%;
}

/*devider*/

hr.devide {
    border-top: 3px solid var(--ui);
    margin: 15%;
}

main {
    overflow-x: hidden;
}

.kontakte {

}

.kontakte h2 {
    font-family: oswald;
    font-size: 250%;
    color: var(--ui);
    margin: 2vw;
    margin-top: 10vh;
    text-align: center;
}

.mannschaft h2 {
    font-family: oswald;
    font-size: 250%;
    color: var(--ui);
    margin: 2vw;
    margin-top: 10vh;
    text-align: center;
}

.kontakt {
    display: grid;
    margin-left: auto;
    margin-right: auto;
    grid-template-columns: 80% 20%;
    grid-template-rows: 50% 50%;
    width: 75vw;
    background-color: #e1f1ff;
    padding: 3%;
    padding-left: 5%;
    padding-right: 5%;
    margin-top: 5vh;
}

.kontakt h3 {
    font-family: oswald;
    font-size: 125%;
    color: var(--ui);
}

.kontakt p {
    font-family: oswald;
    font-size: 100%;
    color: var(--ui);
}


footer {
    margin-top: 2rem;
    padding: 2%;
    padding-top: 5%;
    background-color: var(--ui);
}

.footer-top h4 {
    color: rgb(255, 255, 255);
    text-decoration: none;
    font-family: oswald;
    font-size: 100%;
    text-align: center;
    margin-top: 15%;
}

.footer_head, .footer_end {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    font-family: oswald;
}

.footer_body {
    text-align: center;
    font-family: oswald;
}

.footer_body div li {
    list-style: none;
    margin-top: 4px;
}

.footer_body div hr {
    padding: 0 10%;
    margin: 10px 0;
}

.footer_body div a {
    font-size: 110%;
    line-height: 1.5;
    transition: 0.5s ease-in-out;
    color: #e7e7e7;
}

.footer_end {
    padding-top: 2rem;
    padding-bottom: 1rem;
}

.footer_end h4 {
    color: #ffffff;
}
